The Authorization Rule object

Attributes

id string

Unique identifier for the object.

created_at string

ISO 8601 timestamp of when the object was created.

updated_at string

ISO 8601 timestamp of when the object was last updated.

transaction string required
based_on string required
customer_or_item string
master_name string
company string
value number
system_role string
to_emp string
system_user string
to_designation string
approving_role string
approving_user string
The Authorization Rule object
{
  "id": "authorization-rule_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "transaction": "transaction_example",
  "based_on": "based_on_example",
  "customer_or_item": "customer_or_item_example",
  "master_name": "master_name_example",
  "company": "Example Corp",
  "value": 0,
  "system_role": "system_role_example",
  "to_emp": "to_emp_example",
  "system_user": "system_user_example",
  "to_designation": "to_designation_example",
  "approving_role": "approving_role_example",
  "approving_user": "approving_user_example"
}
GET /api/setup/authorization-rule/{id}

Retrieve a authorization rule

Retrieves the details of an existing authorization rule. Supply the unique authorization rule ID that was returned from a previous request.

Path parameters

id string required

The identifier of the authorization rule to retrieve.

Returns

Returns the authorization rule object if a valid identifier was provided.

GET /api/setup/authorization-rule/{id}
curl https://api.overplane.dev/api/setup/authorization-rule/authorization-rule_abc123 \
  -H "Authorization: Bearer sk_test_..."
Response
{
  "id": "authorization-rule_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "transaction": "transaction_example",
  "based_on": "based_on_example",
  "customer_or_item": "customer_or_item_example",
  "master_name": "master_name_example",
  "company": "Example Corp",
  "value": 0,
  "system_role": "system_role_example",
  "to_emp": "to_emp_example",
  "system_user": "system_user_example",
  "to_designation": "to_designation_example",
  "approving_role": "approving_role_example",
  "approving_user": "approving_user_example"
}
GET /api/setup/authorization-rule

List all authorization rules

Returns a list of authorization rules. The results are sorted by creation date, with the most recently created appearing first.

Query parameters

limit integer

Maximum number of objects to return. Default: 20.

offset integer

Number of objects to skip for pagination. Default: 0.

Returns

A paginated list of authorization rule objects.

GET /api/setup/authorization-rule
curl https://api.overplane.dev/api/setup/authorization-rule \
  -H "Authorization: Bearer sk_test_..."
Response
{
  "data": [
    {
      "id": "authorization-rule_abc123",
      "created_at": "2024-01-15T09: 30: 00Z",
      "updated_at": "2024-01-15T09: 30: 00Z",
      "transaction": "transaction_example",
      "based_on": "based_on_example",
      "customer_or_item": "customer_or_item_example",
      "master_name": "master_name_example",
      "company": "Example Corp",
      "value": 0,
      "system_role": "system_role_example",
      "to_emp": "to_emp_example",
      "system_user": "system_user_example",
      "to_designation": "to_designation_example",
      "approving_role": "approving_role_example",
      "approving_user": "approving_user_example"
    }
  ],
  "has_more": false,
  "total": 1
}
POST /api/setup/authorization-rule

Create a authorization rule

Creates a new authorization rule object.

Body parameters

transaction string required
based_on string required
customer_or_item string
master_name string
company string
value number
system_role string
to_emp string
system_user string
to_designation string
approving_role string
approving_user string

Returns

Returns the newly created authorization rule object if the call succeeded.

POST /api/setup/authorization-rule
curl https://api.overplane.dev/api/setup/authorization-rule \
  -H "Authorization: Bearer sk_test_..." \
  -X POST \
  -H "Content-Type: application/json" \
  -d '{"transaction":"transaction_example","based_on":"based_on_example"}'
Response
{
  "id": "authorization-rule_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "transaction": "transaction_example",
  "based_on": "based_on_example",
  "customer_or_item": "customer_or_item_example",
  "master_name": "master_name_example",
  "company": "Example Corp",
  "value": 0,
  "system_role": "system_role_example",
  "to_emp": "to_emp_example",
  "system_user": "system_user_example",
  "to_designation": "to_designation_example",
  "approving_role": "approving_role_example",
  "approving_user": "approving_user_example"
}
PATCH /api/setup/authorization-rule/{id}

Update a authorization rule

Updates the specified authorization rule by setting the values of the parameters passed. Any parameters not provided will be left unchanged.

Path parameters

id string required

The identifier of the authorization rule to update.

Body parameters

transaction string
based_on string
customer_or_item string
master_name string
company string
value number
system_role string
to_emp string
system_user string
to_designation string
approving_role string
approving_user string

Returns

Returns the updated authorization rule object.

PATCH /api/setup/authorization-rule/{id}
curl https://api.overplane.dev/api/setup/authorization-rule/authorization-rule_abc123 \
  -H "Authorization: Bearer sk_test_..." \
  -X PATCH \
  -H "Content-Type: application/json" \
  -d '{"transaction":"transaction_example","based_on":"based_on_example"}'
Response
{
  "id": "authorization-rule_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "transaction": "transaction_example",
  "based_on": "based_on_example",
  "customer_or_item": "customer_or_item_example",
  "master_name": "master_name_example",
  "company": "Example Corp",
  "value": 0,
  "system_role": "system_role_example",
  "to_emp": "to_emp_example",
  "system_user": "system_user_example",
  "to_designation": "to_designation_example",
  "approving_role": "approving_role_example",
  "approving_user": "approving_user_example"
}
DELETE /api/setup/authorization-rule/{id}

Delete a authorization rule

Permanently deletes a authorization rule. This cannot be undone.

Path parameters

id string required

The identifier of the authorization rule to delete.

Returns

Returns a confirmation that the authorization rule has been deleted.

DELETE /api/setup/authorization-rule/{id}
curl https://api.overplane.dev/api/setup/authorization-rule/authorization-rule_abc123 \
  -H "Authorization: Bearer sk_test_..." \
  -X DELETE
Response
{
  "id": "authorization-rule_abc123",
  "deleted": true
}